This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 478758 - Logitech Orbicam (046d:0896 & gspca_vc032x) gives dark noisy picture
Logitech Orbicam (046d:0896 & gspca_vc032x) gives dark noisy picture
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-04 13:01 EST by Patrick
Modified: 2010-12-05 02:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:03:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrick 2009-01-04 13:01:24 EST
Description of problem:
Logitech Orbicam (046d:0896 & gspca_vc032x) gives dark noisy picture

Version-Release number of selected component (if applicable):
kernel version 2.6.27.9-163.fc10.x86_64

How reproducible:
Start Ekiga, look at picture. It's very dark & noisy. It's also not possible to adjust any of the sliders.

Steps to Reproduce:
1. start ekiga
2. watch green led on built-in Logitech Orbicam go on and ekiga to start
3. experience some seriously dark and noisy video quality
  
Actual results:
Very dark and noisy video quality and no possibility to adjust the sliders related to the video in ekiga. An example pic can be found at this link:
http://ubuntuforums.org/showpost.php?p=2063920&postcount=10

Expected results:
Wonderfully bright, crisp and sharp video at at least 640x480 resolution :)

Additional info:

Here is the info from /var/log/messages when I insert the gspca_vc032x module:

Jan  4 18:58:19 localhost kernel: Linux video capture interface: v2.00
Jan  4 18:58:19 localhost kernel: gspca: main v2.2.0 registered
Jan  4 18:58:19 localhost kernel: gspca: probing 046d:0896
Jan  4 18:58:19 localhost kernel: vc032x: check sensor header 44
Jan  4 18:58:19 localhost kernel: vc032x: Read Sensor h (0x00) m (0x30) l (0x31)
Jan  4 18:58:19 localhost kernel: vc032x: Read Sensor h (0x00) m (0x30) l (0x31)
Jan  4 18:58:19 localhost kernel: vc032x: Read Sensor h (0x00) m (0x30) l (0x31)
Jan  4 18:58:19 localhost kernel: vc032x: Find Sensor PO3130NC
Jan  4 18:58:19 localhost kernel: gspca: probe ok
Jan  4 18:58:19 localhost kernel: usbcore: registered new interface driver vc032x
Jan  4 18:58:19 localhost kernel: vc032x: registered


[root@localhost ~]# lsusb | grep Orbi
Bus 001 Device 004: ID 046d:0896 Logitech, Inc. OrbiCam


[root@localhost ~]# lshal
[snip]
udi = '/org/freedesktop/Hal/devices/usb_device_46d_896_noserial'
  info.bus = 'usb_device'  (string)
  info.linux.driver = 'usb'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_2_0000_00_1d_7'  (string)
  info.product = 'OrbiCam'  (string)
  info.subsystem = 'usb_device'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_46d_896_noserial'  (string)
  info.vendor = 'Logitech, Inc.'  (string)
  linux.device_file = '/dev/bus/usb/001/004'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'usb'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-7'  (string)
  usb_device.bus_number = 1  (0x1)  (int)
  usb_device.can_wake_up = false  (bool)
  usb_device.configuration_value = 1  (0x1)  (int)
  usb_device.device_class = 255  (0xff)  (int)
  usb_device.device_protocol = 255  (0xff)  (int)
  usb_device.device_revision_bcd = 256  (0x100)  (int)
  usb_device.device_subclass = 255  (0xff)  (int)
  usb_device.is_self_powered = false  (bool)
  usb_device.linux.device_number = 4  (0x4)  (int)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-7'  (string)
  usb_device.max_power = 200  (0xc8)  (int)
  usb_device.num_configurations = 1  (0x1)  (int)
  usb_device.num_interfaces = 1  (0x1)  (int)
  usb_device.num_ports = 0  (0x0)  (int)
  usb_device.product = 'OrbiCam'  (string)
  usb_device.product_id = 2198  (0x896)  (int)
  usb_device.speed = 480.0 (480) (double)
  usb_device.vendor = 'Logitech, Inc.'  (string)
  usb_device.vendor_id = 1133  (0x46d)  (int)
  usb_device.version = 2.0 (2) (double)

udi = '/org/freedesktop/Hal/devices/usb_device_46d_896_noserial_video4linux'
  access_control.file = '/dev/video0'  (string)
  access_control.type = 'video4linux'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'video4linux', 'video4linux.video_capture', 'access_control'} (string list)
  info.category = 'video4linux'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_46d_896_noserial'  (string)
  info.product = 'Camera'  (string)
  info.subsystem = 'video4linux'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_46d_896_noserial_video4linux'  (string)
  linux.device_file = '/dev/video0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'video4linux'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-7/video4linux/video0'  (string)
  video4linux.device = '/dev/video0'  (string)
  video4linux.version = '2'  (string)

udi = '/org/freedesktop/Hal/devices/usb_device_46d_896_noserial_if0'
  info.bus = 'usb'  (string)
  info.linux.driver = 'vc032x'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_46d_896_noserial'  (string)
  info.product = 'USB Vendor Specific Interface'  (string)
  info.subsystem = 'usb'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_46d_896_noserial_if0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'usb'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0'  (string)
  usb.bus_number = 1  (0x1)  (int)
  usb.can_wake_up = false  (bool)
  usb.configuration_value = 1  (0x1)  (int)
  usb.device_class = 255  (0xff)  (int)
  usb.device_protocol = 255  (0xff)  (int)
  usb.device_revision_bcd = 256  (0x100)  (int)
  usb.device_subclass = 255  (0xff)  (int)
  usb.interface.class = 255  (0xff)  (int)
  usb.interface.number = 0  (0x0)  (int)
  usb.interface.protocol = 0  (0x0)  (int)
  usb.interface.subclass = 0  (0x0)  (int)
  usb.is_self_powered = false  (bool)
  usb.linux.device_number = 4  (0x4)  (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0'  (string)
  usb.max_power = 200  (0xc8)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 1  (0x1)  (int)
  usb.num_ports = 0  (0x0)  (int)
  usb.product = 'USB Vendor Specific Interface'  (string)
  usb.product_id = 2198  (0x896)  (int)
  usb.speed = 480.0 (480) (double)
  usb.vendor = 'Logitech, Inc.'  (string)
  usb.vendor_id = 1133  (0x46d)  (int)
  usb.version = 2.0 (2) (double)
[snip]
Comment 1 Patrick 2009-01-04 13:04:52 EST
Forgot to mention: this Logitech Orbicam is built-in to my laptop: an Acer Travelmate 6465WLMi (x86_64) running up-to-date F10 x86_64
Comment 2 Mikko Huhtala 2009-02-28 17:01:31 EST
I see this too, also with a Acer Travelmate integrated web cam. The USB device ID of mine is slightly different: 046d:0892

I'm running the 2.6.27.15-170.2.24.fc10.i686 kernel and otherwise up-to-date i386 F10.
Comment 3 Mikko Huhtala 2009-02-28 17:04:35 EST
I think 32-bit x86 platform should be added to this bug.
Comment 4 Patrick 2009-05-03 09:25:20 EDT
FYI: on the Fedora 11 Preview (x86_64) updated to Rawhide the web cam works great in Cheese. Pictures and video's made with Cheese look fine and are no longer very dark and noisy. Since I'll be running F11 I won't follow up on this bug any more.
Comment 5 Chuck Ebbert 2009-05-06 23:34:19 EDT
This should also be fixed in the 2.6.29 kernel for fedora 10 which is in updates-testing now.
Comment 6 Mikko Huhtala 2009-05-07 02:20:03 EDT
I tested

kernel-2.6.29.2-52.fc10.i686

on F10 and it's marginally better, but still does not work right. Colors are way off, the picture is heavily pixelated and it looks like it's one quarter (literally one corner) of the full picture. I suspect I may be suffering from a different bug. The picture is not just dark and noisy, but it seems like the driver is reading the pixels from the device wrong. As I wrote earlier, the device is different (046d:0892) from the one in the original report.
Comment 7 Mikko Huhtala 2009-07-27 05:21:01 EDT
Update: I can now get a picture that looks about right using cheese on F11. I have

  kernel-PAE-2.6.29.6-213.fc11.i686
  cheese-2.26.3-1.fc11.i586
  (Orbicam 046d:0892 in an Acer Travelmate,as before)

There are still horizontal streaks in the picture from time to time and some problems with skipping frames, but at least it looks like the all of the image is shown and the colour and brightness are ok. Skype still does not work; in there, the picture is all green and looks like one-quarter of the full frame. I have skype-2.0.0.72-fc5.i586. So there seems to be some problem with skype in addition to the cam driver.
Comment 8 Patrick 2009-11-06 09:15:55 EST
In today's Rawhide the picture is still dark, noisy and grainy. Please let me know if you need more information or would like me to test something. Thanks!
Comment 9 Patrick 2009-11-12 03:54:32 EST
More information:

from lsusb:

Bus 001 Device 006: ID 046d:0896 Logitech, Inc. OrbiCam

from /var/log/messages:

Nov 12 08:35:45 localhost kernel: gspca: probing 046d:0896
Nov 12 08:35:45 localhost kernel: vc032x: check sensor header 2c
Nov 12 08:35:45 localhost kernel: usb 1-7: USB disconnect, address 5
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: I2c Bus Busy Wait 2c
Nov 12 08:35:45 localhost kernel: vc032x: Unknown sensor...
Nov 12 08:35:45 localhost kernel: vc032x: probe of 1-7:1.0 failed with error -22
Nov 12 08:35:45 localhost kernel: usbcore: registered new interface driver vc032x
Nov 12 08:35:45 localhost kernel: vc032x: registered
.
.
.
Nov 12 08:35:45 localhost kernel: usb 1-7: New USB device found, idVendor=046d, idProduct=0896
Nov 12 08:35:45 localhost kernel: usb 1-7: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Nov 12 08:35:45 localhost kernel: usb 1-7: Product: Camera
Nov 12 08:35:45 localhost kernel: usb 1-7: Manufacturer: OEM
Nov 12 08:35:45 localhost kernel: usb 1-7: configuration #1 chosen from 1 choice
Nov 12 08:35:45 localhost kernel: gspca: probing 046d:0896
Nov 12 08:35:45 localhost kernel: vc032x: check sensor header 2c
Nov 12 08:35:45 localhost kernel: vc032x: Sensor ID 3130 (2)
Nov 12 08:35:45 localhost kernel: vc032x: Find Sensor PO3130NC
Nov 12 08:35:45 localhost kernel: gspca: probe ok
Comment 10 Bug Zapper 2009-11-16 04:45:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Mikko Huhtala 2010-07-06 02:59:14 EDT
Now on F13 I get with my Orbicam 046d:0892 in an Acer Travelmate and

kernel-2.6.33.5-124.fc13.i686
cheese-2.30.1-1.fc13.i686

video that seems to loop over a few frames, giving a very disorienting jerking effect. The picture has horizontal streaks constantly. The colors and lightness seem to be about right, though.
Comment 12 Bug Zapper 2010-11-04 07:34:32 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-12-05 02:03:19 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.